#if !defined(__clsxpr1a_h)              // Sentry, use file only if it's not already included.
#define __clsxpr1a_h

/*  Project clsxprt1
    
    Copyright  1993. All Rights Reserved.

    SUBSYSTEM:    clsxprt1.exe Application
    FILE:         clsxpr1a.h
    AUTHOR:       


    OVERVIEW
    ========
    Class definition for clsxprt1App (TApplication).      
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\editfile.h>
#include <owl\opensave.h>

#include "clsxpr1a.rh"            // Definition of all resources.


//{{TApplication = clsxprt1App}}
class clsxprt1App : public TApplication {
private:
    TEditFile *Client;                                 // Client window for the frame.
    TOpenSaveDialog::TData FileData;                    // Data to control open/saveas standard dialog.

public:
    clsxprt1App ();
    virtual ~clsxprt1App ();

    void OpenFile (const char *fileName = 0);
//{{clsxprt1AppVIRTUAL_BEGIN}}
public:
    virtual void InitMainWindow();
//{{clsxprt1AppVIRTUAL_END}}

//{{clsxprt1AppRSP_TBL_BEGIN}}
protected:
    void CmFileNew ();
    void CmFileOpen ();
    void CmFileClose ();
    void CmHelpAbout ();
    void CmUppercase ();
    void CmLowercase ();
    void CmInsertDate ();
    void CmInsertTime ();
    void CmInsertDateTime ();
    void CmReverse ();
//{{clsxprt1AppRSP_TBL_END}}
  DECLARE_RESPONSE_TABLE(clsxprt1App);
};    //{{clsxprt1App}}


#endif                                      // __clsxpr1a_h sentry.
